getMenu.v1
POST
/shopgate.cms.getMenu.v1
This pipeline returns the additional entries for the service menu that will be shown, when clicking the hamburger icon in the android app or “More” on iOS. When there are no entries available for that shop the entries property will contain an empty array.
Request Body
Section titled “Request Body”Media typeapplication/json
object
id
Id of the menu that is supposed to be fetched.
string
Examplegenerated
{ "id": "example"}Responses
Section titled “Responses”Successful response.
Media typeapplication/json
object
output
required
object
entries
Array<object>
object
url
Link to the page to be opened when the user clicks on the menu entry (only path, does not include the baseUrl)
string
label
Name to be shown in the menu
string
Examplegenerated
{ "output": { "entries": [ { "url": "example", "label": "example" } ] }}EUNKNOWN
Section titled “EUNKNOWN”An internal error occurred.
Media typeapplication/json
object
error
required
object
code
required
string
message
string
Example
{ "error": { "code": "EUNKNOWN", "message": "An internal error occurred." }}
